<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvToast - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>
  <script>
    function openToast() {
      const toast = document.querySelector('nv-toast');
      toast.open();
    }
  </script>

</head>
<body>
  <nv-toasts>
    <nv-toast
      show-progress
      duration="5000"
      show-actions="true"
      auto-close="false"
    >
      <nv-avatar
        size="small"
        src="https://pbs.twimg.com/profile_images/1232671800523460608/EO-u1N-b_400x400.jpg"
        slot="icon">
      </nv-avatar>
      File transfer is complete.
      <nv-toast-button slot="actions">Preview</nv-toast-button>
      <nv-toast-button slot="actions">Ok</nv-toast-button>
    </nv-toast>
  </nv-toasts>
  <div class="demo-component">

    <div class="area-component">
      <h1>Toast</h1>
      <h3>Default</h3>
      <nv-button onclick="openToast();" text>Open toast</nv-button>
    </div>
  </div>
</body>
</html>
 